- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QAbstractSpinBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qabstractspinbox.h.

`#include <qabstractspinbox.h>`

Inheritance diagram for QAbstractSpinBox:
[legend]

List of all members.

## Public Types
enum | StepEnabledFlag { StepNone = 0x00, StepUpEnabled = 0x01, StepDownEnabled = 0x02 }
enum | ButtonSymbols { UpDownArrows, PlusMinus, NoButtons }
enum | CorrectionMode { CorrectToPreviousValue, CorrectToNearestValue }
## Public Slots
void | stepUp ()
void | stepDown ()
void | selectAll ()
virtual void | clear ()
## Signals
void | editingFinished ()
## Public Member Functions
| QAbstractSpinBox (QWidget *parent=0)
| ~QAbstractSpinBox ()
ButtonSymbols | buttonSymbols () const
void | setButtonSymbols (ButtonSymbols bs)
void | setCorrectionMode (CorrectionMode cm)
CorrectionMode | correctionMode () const
bool | hasAcceptableInput () const
QString | text () const
QString | specialValueText () const
void | setSpecialValueText (const QString &txt)
bool | wrapping () const
void | setWrapping (bool w)
void | setReadOnly (bool r)
bool | isReadOnly () const
void | setKeyboardTracking (bool kt)
bool | keyboardTracking () const
void | setAlignment (Qt::Alignment flag)
Qt::Alignment | alignment () const
void | setFrame (bool)
bool | hasFrame () const
void | setAccelerated (bool on)
bool | isAccelerated () const
QSize | sizeHint () const
QSize | minimumSizeHint () const
void | interpretText ()
bool | event (QEvent *event)
QVariant | inputMethodQuery (Qt::InputMethodQuery) const
virtual QValidator::State | validate (QString &input, int &pos) const
virtual void | fixup (QString &input) const
virtual void | stepBy (int steps)
## Protected Member Functions
void | resizeEvent (QResizeEvent *event)
void | keyPressEvent (QKeyEvent *event)
void | keyReleaseEvent (QKeyEvent *event)
void | wheelEvent (QWheelEvent *event)
void | focusInEvent (QFocusEvent *event)
void | focusOutEvent (QFocusEvent *event)
void | contextMenuEvent (QContextMenuEvent *event)
void | changeEvent (QEvent *event)
void | closeEvent (QCloseEvent *event)
void | hideEvent (QHideEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | timerEvent (QTimerEvent *event)
void | paintEvent (QPaintEvent *event)
void | showEvent (QShowEvent *event)
void | initStyleOption (QStyleOptionSpinBox *option) const
QLineEdit * | lineEdit () const
void | setLineEdit (QLineEdit *edit)
virtual StepEnabled | stepEnabled () const
| QAbstractSpinBox (QAbstractSpinBoxPrivate &dd, QWidget *parent=0)
## Properties
bool | wrapping
bool | frame
Qt::Alignment | alignment
bool | readOnly
ButtonSymbols | buttonSymbols
QString | specialValueText
QString | text
bool | accelerated
CorrectionMode | correctionMode
bool | acceptableInput
bool | keyboardTracking

## Member Enumeration Documentation

enum StepEnabledFlag

Search for all occurrences

Enumerator:

  StepNone | Search for all occurrences
  StepUpEnabled | Search for all occurrences
  StepDownEnabled | Search for all occurrences

Definition at line 82 of file qabstractspinbox.h.

                             { StepNone = 0x00, StepUpEnabled = 0x01,
                               StepDownEnabled = 0x02 };

enum ButtonSymbols

Search for all occurrences

Enumerator:

  UpDownArrows | Search for all occurrences
  PlusMinus | Search for all occurrences
  NoButtons | Search for all occurrences

Definition at line 86 of file qabstractspinbox.h.

    { UpDownArrows, PlusMinus, NoButtons };

enum CorrectionMode

Search for all occurrences

Enumerator:

  CorrectToPreviousValue | Search for all occurrences
  CorrectToNearestValue | Search for all occurrences

Definition at line 91 of file qabstractspinbox.h.

    { CorrectToPreviousValue, CorrectToNearestValue };

## Constructor & Destructor Documentation

QAbstractSpinBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QAbstractSpinBox | ( |  | ) |

QAbstractSpinBox | ( | QAbstractSpinBoxPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

ButtonSymbols buttonSymbols | ( |  | ) | const

Search for all occurrences

void setButtonSymbols | ( | ButtonSymbols | bs | ) |

Search for all occurrences

void setCorrectionMode | ( | CorrectionMode | cm | ) |

Search for all occurrences

CorrectionMode correctionMode | ( |  | ) | const

Search for all occurrences

bool hasAcceptableInput | ( |  | ) | const

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

QString specialValueText | ( |  | ) | const

Search for all occurrences

void setSpecialValueText | ( | const QString & | txt | ) |

Search for all occurrences

bool wrapping | ( |  | ) | const

Search for all occurrences

void setWrapping | ( | bool | w | ) |

Search for all occurrences

void setReadOnly | ( | bool | r | ) |

Search for all occurrences

bool isReadOnly | ( |  | ) | const

Search for all occurrences

void setKeyboardTracking | ( | bool | kt | ) |

Search for all occurrences

bool keyboardTracking | ( |  | ) | const

Search for all occurrences

void setAlignment | ( | Qt::Alignment | flag | ) |

Search for all occurrences

Qt::Alignment alignment | ( |  | ) | const

Search for all occurrences

void setFrame | ( | bool |  | ) |

Search for all occurrences

bool hasFrame | ( |  | ) | const

Search for all occurrences

void setAccelerated | ( | bool | on | ) |

Search for all occurrences

bool isAccelerated | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void interpretText | ( |  | ) |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit, and QSpinBox.

QVariant inputMethodQuery | ( | Qt::InputMethodQuery |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual QValidator::State validate | ( | QString & | input,
|  | int & | pos
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QDateTimeEdit, QSpinBox, and QDoubleSpinBox.

virtual void fixup | ( | QString & | input | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QDateTimeEdit, QSpinBox, and QDoubleSpinBox.

virtual void stepBy | ( | int | steps | ) | `[virtual]`

Search for all occurrences

Reimplemented in QDateTimeEdit.

void stepUp | ( |  | ) | `[slot]`

Search for all occurrences

void stepDown | ( |  | ) | `[slot]`

Search for all occurrences

void selectAll | ( |  | ) | `[slot]`

Search for all occurrences

virtual void clear | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QDateTimeEdit.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

void keyReleaseEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void wheelEvent | ( | QWheelEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

void focusOutEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void contextMenuEvent | ( | QContextMenuEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void closeEvent | ( | QCloseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

void mouseReleaseEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDateTimeEdit.

void showEvent | ( | QShowEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionSpinBox * | option | ) | const `[protected]`

Search for all occurrences

Reimplemented in QDateTimeEdit.

QLineEdit* lineEdit | ( |  | ) | const `[protected]`

Search for all occurrences

void setLineEdit | ( | QLineEdit * | edit | ) | `[protected]`

Search for all occurrences

virtual StepEnabled stepEnabled | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QDateTimeEdit.

void editingFinished | ( |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

bool wrapping `[read, write]`

Search for all occurrences

Definition at line 67 of file qabstractspinbox.h.

bool frame `[read, write]`

Search for all occurrences

Definition at line 68 of file qabstractspinbox.h.

Qt::Alignment alignment `[read, write]`

Search for all occurrences

Definition at line 69 of file qabstractspinbox.h.

bool readOnly `[read, write]`

Search for all occurrences

Definition at line 70 of file qabstractspinbox.h.

ButtonSymbols buttonSymbols `[read, write]`

Search for all occurrences

Definition at line 71 of file qabstractspinbox.h.

QString specialValueText `[read, write]`

Search for all occurrences

Definition at line 72 of file qabstractspinbox.h.

QString text `[read]`

Search for all occurrences

Definition at line 73 of file qabstractspinbox.h.

bool accelerated `[read, write]`

Search for all occurrences

Definition at line 74 of file qabstractspinbox.h.

CorrectionMode correctionMode `[read, write]`

Search for all occurrences

Definition at line 75 of file qabstractspinbox.h.

bool acceptableInput `[read]`

Search for all occurrences

Definition at line 76 of file qabstractspinbox.h.

bool keyboardTracking `[read, write]`

Search for all occurrences

Definition at line 77 of file qabstractspinbox.h.

The documentation for this class was generated from the following file:

- QtGui/qabstractspinbox.h

QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox
QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox QAbstractSpinBox